Subject: Re: [netmod] [Technical Errata Reported] RFC7950 (5807)

From: Warren Kumari <[email-masked]>
Date: Fri, 6 Sep 2019 15:37:15 -0400

[ - RFC Ed (for clutter), + Benoit (who verified
https://www.rfc-editor.org/errata/eid4794) ]

I'm trying to go through and clean up the outstanding Ops and
Management Errata. I'm completely, 100% not a YANG / netmod person (I
cannot even spell YANG!), but I *think* that this Errata should be
verified, yes? This isn't changing what was decided when the WG
published this, it is simply correcting / clarifying the text.

The Errata criteria are here:
https://www.ietf.org/about/groups/iesg/statements/processing-rfc-errata/

One of the big ones is that we only use Errata to fix actual errors,
not change anything that was WG consensus at the time:
"Changes that modify the working of a protocol to something that might
be different from the intended consensus when the document was
approved should be either Hold for Document Update or Rejected.
Deciding between these two depends on judgment. Changes that are
clearly modifications to the intended consensus, or involve large
textual changes, should be Rejected. In unclear situations, small
changes can be Hold for Document Update."

Again, I'm not a NetMod person, so looking for clear advice here...

W

On Tue, Aug 13, 2019 at 7:26 AM RFC Errata System
<[email-masked]> wrote:
>
> The following errata report has been submitted for RFC7950,
> "The YANG 1.1 Data Modeling Language".
>
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid5807
>
> --------------------------------------
> Type: Technical
> Reported by: Jernej Tuljak <[email-masked]>
>
> Section: 7.21.5.
>
> Original Text
> -------------
>    o  If the "when" statement is a child of a "uses", "choice", or
>       "case" statement, then the context node is the closest ancestor
>       node to the node with the "when" statement that is also a data
>       node.  If no such node exists, the context node is the root node.
>       The accessible tree is tentatively altered during the processing
>       of the XPath expression by removing all instances (if any) of the
>       nodes added by the "uses", "choice", or "case" statement.
>
> Corrected Text
> --------------
>    o  If the "when" statement is a child of a "uses", "choice", or
>       "case" statement, then the context node is the closest ancestor
>       node to the node with the "when" statement that is also a data
>       node, rpc, action or notification.  If no such node exists, the
>       context node is the root node. The accessible tree is tentatively
>       altered during the processing of the XPath expression by removing
>       all instances (if any) of the nodes added by the "uses",
>       "choice", or "case" statement.
>
> Notes
> -----
> Similar to verified errata 4794 (https://www.rfc-editor.org/errata/eid4794) but covers the "uses", "choice" and "case" corner case (instead of "augment"). If the node for which the "when" statement is defined is within an rpc, action or notification, the context node also needs to be inside that rpc, action or notification. There are published IETF modules, which rely on this to be true, such as "ietf-netconf-nmda@2019-01-07" in RFC8526 (https://tools.ietf.org/html/rfc8526) at schema node id "/ncds:get-data/ncds:input/ncds:origin-filters". Original text assigns the context node to the root node, if no data node ancestor is found. "rpc", "action" and "notification" are not data nodes and are represented by nodes that are descendants of the root node, as described in Section 6.4.1.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7950 (draft-ietf-netmod-rfc6020bis-14)
> --------------------------------------
> Title               : The YANG 1.1 Data Modeling Language
> Publication Date    : August 2016
> Author(s)           : M. Bjorklund, Ed.
> Category            : PROPOSED STANDARD
> Source              : Network Modeling
> Area                : Operations and Management
> Stream              : IETF
> Verifying Party     : IESG

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 09 Sep 2019 09:38:01 +0200 (CEST)

> published this, it is simply correcting / clarifying the text.

Yes I agree it should be verified.

/martin